package net.wanji.datacenter.pojo.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import net.wanji.databus.po.CrossDataRealtimePO;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/11/15 20:17
 */
@Data
public class CrossPeriodDataDTO {
    /**
     * 车道事件集合
     */
    @JsonProperty("eventList")
    private List<CrossDataRealtimePO> eventList;
    /**
     * 车道数量
     */
    private Integer laneNum;
    /**
     * 全域编号
     */
    private String orgCode;
    /**
     * 数据生成时间: yyyy-MM-dd HH:mm:ss:SSS
     */
    private String timeStamp;

}
