package net.wanji.datacenter.pojo.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import net.wanji.databus.po.CrossDirDataRealtimePO;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/11/20 15:49
 */
@Data
public class CrossPeriodDirDTO {

    @JsonProperty("eventList")
    private List<CrossDirDataRealtimePO> eventList;
    /**
     * 车道数量
     */
    private Integer laneNum;
    /**
     * 全域编号
     */
    private String orgCode;
    /**
     * 数据生成时间: yyyy-MM-dd HH:mm:ss:SSS
     */
    private String timeStamp;
}
