package net.wanji.datacenter.pojo.dto;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import net.wanji.databus.dao.entity.GreenwaveRealtimePO;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/11/25 11:09
 */
@Data
public class GreenWavePeriodDTO {
    @JsonProperty("eventList")
    private List<GreenwaveRealtimePO> eventList;
    /**
     * 车道数量
     */
    private Integer laneNum;
    /**
     * 全域编号
     */
    private String orgCode;
    /**
     * 数据生成时间: yyyy-MM-dd HH:mm:ss:SSS
     */
    private String timeStamp;
}
