package net.wanji.datacenter.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/11/23 16:17
 */
@Data
@TableName("t_strategy_cross_result")
@JsonIgnoreProperties(ignoreUnknown = true)
public class CrossStrategyResultEntity {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @TableField("cross_id")
    private String crossId;
    @TableField("cross_name")
    private String crossName;
    @TableField("current_algo")
    private Integer currentAlgo;
    @TableField("request_time")
    private Date requestTime;
    @TableField("issue_time")
    private Date issueTime;
    @TableField("response_code")
    private Integer responseCode;
    @TableField("response_content")
    private String responseContent;
    @TableField("timing_plan")
    private String timingPlan;
    @TableField("insert_time")
    private Date insertTime;
    @TableField("rtn_type")
    private Integer rtnType;
    @TableField("extend_time")
    private Integer extendTime;
    @TableField("block_region")
    private Integer blockRegion;
    @TableField("block_type")
    private Integer blockType;
    @TableField("count_down")
    private Integer countDown;
    @TableField("video_stamp")
    private String videoStamp;
    @TableField("signal_machine_stamp")
    private String signalMachineStamp;
    @TableField("control_dir")
    private String controlDir;
    @TableField("data")
    private String data;
    @TableField("empty_dir")
    private String emptyDir;
    @TableField("empty_turn")
    private String emptyTurn;
    @TableField("dt")
    private Integer dt;
}
