package net.wanji.datacenter.service;

/**
 * @author duanruiming
 * @date 2023/03/10 9:48
 */
public interface DataProcessService {

    /**
     * 车道信息处理存库
     * @param originalData
     * @throws Exception
     */
    void laneSave(String originalData) throws Exception;

    /**
     * 路口信息处理存库
     * @param originalData
     * @throws Exception
     */
    void crossSave(String originalData) throws Exception;


    /**
     * 方向信息处理存库
     * @param originalData
     * @throws Exception
     */
    void dirSave(String originalData) throws Exception;


    /**
     * 转向信息处理存库
     * @param originalData
     * @throws Exception
     */
    void turnSave(String originalData) throws Exception;



}
