//package net.wanji.datacenter.task;
//
//import lombok.extern.slf4j.Slf4j;
//import net.wanji.datacenter.util.RedisUtils;
//import org.springframework.data.redis.connection.DataType;
//import org.springframework.scheduling.annotation.Scheduled;
//import org.springframework.stereotype.Component;
//
//import javax.annotation.Resource;
//import java.util.Set;
//
///**
// * @author Kent HAN
// * @date 2023/12/15 16:41
// */
//@Component
//@Slf4j
//public class RedisTask {
//    @Resource
//    private RedisUtils redisUtils;
//
//    /**
//     * 每分钟清理路口及干线事件缓存
//     * @author Kent HAN
//     * @date 2023/12/15 16:42
//     */
//    @Scheduled(fixedRate = 1000 * 60)
//    public void cleanCrossEventCache() throws Exception {
//        try {
//            Set<String> keys = redisUtils.keys();
//            for (String key : keys) {
//                if (redisUtils.keyType(key) == DataType.ZSET) {
//                    redisUtils.removeExpiredElements(key);
//                }
//            }
//        } catch (Exception e) {
//            log.error("清理路口事件缓存失败", e);
//            throw new Exception(e);
//        }
//    }
//
//}
