/**
 *
 */

import com.alibaba.fastjson.JSONObject;
import net.wanji.common.gts.Tools;
import net.wanji.datacenter.DataCenterApplication;
import net.wanji.datacenter.kafka.KafkaProducerServiceHandler;
import org.junit.FixMethodOrder;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.junit.runners.MethodSorters;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.annotation.Resource;
import java.util.Date;

/**
 * @author fengyi
 * @date 2019年1月19日
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = DataCenterApplication.class, webEnvironment = SpringBootTest.WebEnvironment.RANDOM_PORT)
@FixMethodOrder(MethodSorters.NAME_ASCENDING)
public class KafkaTest {
    @Resource
    private KafkaProducerServiceHandler kafkaProducerServiceHandler;


    @Test
    public void testProducerTrack() {

        //插入通知
        JSONObject insertNoticeJson = new JSONObject();
        insertNoticeJson.put("insertTime", Tools.dateToStr(new Date()));
        insertNoticeJson.put("eventSerialNumber","sdsdsdsdsds");
        kafkaProducerServiceHandler.send("event.insert.notice.topic",System.currentTimeMillis()+"",insertNoticeJson.toJSONString());
        System.out.println();
    }



}
