package com.wanji.indicators.constant;

import java.util.Objects;

public enum DirEnum {

    //******************************************************//
    NO_CONGEST("1","北"),
    LIGHT_CONGEST("3","东"),
    MODERATE_CONGEST("5","南"),
    HEAVY_CONGEST("4","西")
    ;
    //******************************************************//
    private String type;
    private String name;

    DirEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public static String getName(String type){
        for(DirEnum typeEnum: DirEnum.values()){
            if(Objects.equals(typeEnum.type,type)){
                return typeEnum.name;
            }
        }
        return null;
    }

    public static String getType(DirEnum type) {
        for(DirEnum typeEnum: DirEnum.values()) {
            if(Objects.equals(typeEnum,type)){
                return typeEnum.type;
            }
        }
        return null;
    }

}
