//package com.wanji.indicators.constant;
//
//public enum EventType {
//  EVENT(Integer.valueOf(0), "交通事件"),
//  CONFLICT_POINT(Integer.valueOf(1), "冲突点"),
//  RAPID_ACCELERATION(Integer.valueOf(2), "急加速"),
//  RAPID_DECELERATION(Integer.valueOf(3), "急减速"),
//  SHARP_TURN(Integer.valueOf(4), "急转弯"),
//  SPEEDING(Integer.valueOf(5), "违法超速"),
//  ACCIDENT(Integer.valueOf(6), "多车事故"),
//  ABNORMAL_PARKING(Integer.valueOf(7), "单车事故"),
//  ABNORMAL_PARKING_TWO(Integer.valueOf(7), "双车事故"),
//  RETROGRADE(Integer.valueOf(8), "逆向行驶"),
//  ILLEGAL_PARKING(Integer.valueOf(9), "违规停车"),
//  CROSSING_THE_ROAD(Integer.valueOf(10), "横穿路段"),
//  NOT_FOLLOWING_THE_LANE(Integer.valueOf(11), "不按车道行驶"),
//  CHANGE_LANE(Integer.valueOf(12), "违规变道"),
//  ABNORMAL_STOP(Integer.valueOf(13), "异常停车"),
//  OVERFLOW_CONGESTION(Integer.valueOf(14), "路口溢出"),
//  RUNNING_RED_LIGHT(Integer.valueOf(15), "闯红灯"),
//  EMERGENCY_LANE(Integer.valueOf(16), "占用应急车道"),
//  ROAD_CONGESTION(Integer.valueOf(17), "路段拥堵"),
//  PEDESTRIAN_RUNNING_RED_LIGHT(Integer.valueOf(18), "行人闯红灯"),
//  NON_VEHICLE_RUNNING_RED_LIGHT(Integer.valueOf(19), "非机动车闯红灯"),
//  PEDESTRIAN_INVADE(Integer.valueOf(20), "行人入侵机动车道"),
//  NON_VEHICLE_INVADE(Integer.valueOf(21), "非机动车入侵机动车道"),
//  RIGHT_TURN_NOT_SLOWING_DOWN(Integer.valueOf(22), "右转弯未减速"),
//  RIGHT_TURN_BEYOND_SAFE_SPEED(Integer.valueOf(23), "右转弯超出安全车速"),
//  WARNING_OF_TRUCK_TURNING_RIGHT(Integer.valueOf(24), "大型车右转预警"),
//  TURN_RIGHT_WITHOUT_STOPPING(Integer.valueOf(25), "大型车右转未停车"),
//  INTRUSION_RISK_ZONE(Integer.valueOf(26), "大型车入侵危险区"),
//  DANGEROUS_DRIVING_S(Integer.valueOf(27), "S型危险驾驶"),
//  FREQUENT_LANE_CHANGES(Integer.valueOf(28), "连续变道"),
//  CROSS_CONGESTION(Integer.valueOf(29), "路口拥堵"),
//  CROSS_DEADLOCK(Integer.valueOf(30), "路口死锁"),
//  CROSS_IMBALANCE(Integer.valueOf(31), "路口失衡"),
//  OUT_LANE(Integer.valueOf(32), "驶离车道");
//
//  private Integer code;
//
//  private String name;
//
//  EventType(Integer code, String name) {
//    this.code = code;
//    this.name = name;
//  }
//
//  public Integer getCode() {
//    return this.code;
//  }
//
//  public void setCode(Integer code) {
//    this.code = code;
//  }
//
//  public String getName() {
//    return this.name;
//  }
//
//  public void setName(String name) {
//    this.name = name;
//  }
//
//  public static String getNameByCode(int code) {
//    String result = "";
//    switch (code) {
//      case 1:
//        result = CONFLICT_POINT.getName();
//        break;
//      case 2:
//        result = RAPID_ACCELERATION.getName();
//        break;
//      case 3:
//        result = RAPID_DECELERATION.getName();
//        break;
//      case 4:
//        result = SHARP_TURN.getName();
//        break;
//      case 5:
//        result = SPEEDING.getName();
//        break;
//      case 6:
//        result = ACCIDENT.getName();
//        break;
//      case 7:
//        result = ABNORMAL_PARKING.getName();
//        break;
//      case 8:
//        result = RETROGRADE.getName();
//        break;
//      case 9:
//        result = ILLEGAL_PARKING.getName();
//        break;
//      case 10:
//        result = CROSSING_THE_ROAD.getName();
//        break;
//      case 11:
//        result = NOT_FOLLOWING_THE_LANE.getName();
//        break;
//      case 12:
//        result = CHANGE_LANE.getName();
//        break;
//      case 13:
//        result = ABNORMAL_STOP.getName();
//        break;
//      case 14:
//        result = OVERFLOW_CONGESTION.getName();
//        break;
//      case 15:
//        result = RUNNING_RED_LIGHT.getName();
//        break;
//      case 16:
//        result = EMERGENCY_LANE.getName();
//        break;
//      case 17:
//        result = ROAD_CONGESTION.getName();
//        break;
//      case 18:
//        result = PEDESTRIAN_RUNNING_RED_LIGHT.getName();
//        break;
//      case 19:
//        result = NON_VEHICLE_RUNNING_RED_LIGHT.getName();
//        break;
//      case 20:
//        result = PEDESTRIAN_INVADE.getName();
//        break;
//      case 21:
//        result = NON_VEHICLE_INVADE.getName();
//        break;
//      case 22:
//        result = RIGHT_TURN_NOT_SLOWING_DOWN.getName();
//        break;
//      case 23:
//        result = RIGHT_TURN_BEYOND_SAFE_SPEED.getName();
//        break;
//      case 24:
//        result = WARNING_OF_TRUCK_TURNING_RIGHT.getName();
//        break;
//      case 25:
//        result = TURN_RIGHT_WITHOUT_STOPPING.getName();
//        break;
//      case 26:
//        result = INTRUSION_RISK_ZONE.getName();
//        break;
//      case 27:
//        result = DANGEROUS_DRIVING_S.getName();
//        break;
//      case 28:
//        result = FREQUENT_LANE_CHANGES.getName();
//        break;
//      case 29:
//        result = CROSS_CONGESTION.getName();
//        break;
//      case 30:
//        result = CROSS_DEADLOCK.getName();
//        break;
//      case 31:
//        result = CROSS_IMBALANCE.getName();
//        break;
//      case 32:
//        result = OUT_LANE.getName();
//        break;
//    }
//    return result;
//  }
//}
