package com.wanji.indicators.constant;

import java.util.Objects;

public enum LaneDetectorEnum {

    //******************************************************//
    DETECTOR_A("DETECTOR_A","感应检测器"),
    DETECTOR_B("DETECTOR_B","反溢检测器"),
    DETECTOR_C("DETECTOR_C","排队检测器")
    ;
    //******************************************************//
    private String type;
    private String name;

    public String getType() {
        return type;
    }

    public String getName() {
        return name;
    }

    LaneDetectorEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public static String getName(String type){
        for(LaneDetectorEnum typeEnum: LaneDetectorEnum.values()){
            if(Objects.equals(typeEnum.type,type)){
                return typeEnum.name;
            }
        }
        return null;
    }

    public static String getType(String name) {
        for(LaneDetectorEnum typeEnum: LaneDetectorEnum.values()) {
            if(Objects.equals(typeEnum.getName(),name)){
                return typeEnum.type;
            }
        }
        return null;
    }

}
