package com.wanji.indicators.constant;

import java.util.Objects;

/**
 * @author fengyi
 * @date 2023/2/8
 * @description
 */
public enum ParticipantEnum {
    //******************************************************//
    MOTOR("1","机动车"),
    NON_MOTOR("2","非机动车"),
    PED("3","行人")
    ;
    //******************************************************//
    private String type;
    private String name;

    ParticipantEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public static String getName(String type){
        for(ParticipantEnum typeEnum: ParticipantEnum.values()){
            if(Objects.equals(typeEnum.type,type)){
                return typeEnum.name;
            }
        }
        return null;
    }

    public static String getType(ParticipantEnum type) {
        for(ParticipantEnum typeEnum: ParticipantEnum.values()) {
            if(Objects.equals(typeEnum,type)){
                return typeEnum.type;
            }
        }
        return null;
    }

}
