package com.wanji.indicators.constant;

import java.util.Objects;

public enum SignalLightStateEnum {

    RED("R","1"),
    YELLOW("Y","2"),
    GREEN("G","3"),
    NO_LIGHT("N","0");

    private String key;
    private String value;

    SignalLightStateEnum(String key, String value) {
        this.key = key;
        this.value = value;
    }

    public static String getValue(String key){
        for(SignalLightStateEnum typeEnum: SignalLightStateEnum.values()){
            if(Objects.equals(typeEnum.key,key)){
                return typeEnum.value;
            }
        }
        return null;
    }

    public static String getKey(SignalLightStateEnum key) {
        for(SignalLightStateEnum typeEnum: SignalLightStateEnum.values()) {
            if(Objects.equals(typeEnum,key)){
                return typeEnum.key;
            }
        }
        return null;
    }

}
