package com.wanji.indicators.constant.citybrain;

import lombok.AllArgsConstructor;
import lombok.Getter;
import net.wanji.common.utils.tool.StringUtils;

/**
 * @author duanruiming
 * @date 2024/05/16 9:37
 */
@Getter
@AllArgsConstructor
public enum ParkTypeEnum {
    ONE("parking", "停车事件"),

    TWO("jam", "拥堵事件"),

    THREE("accident", "事故事件");

    private final String code;
    private final String message;

    public static String getMsg(String code) {
        for (ParkTypeEnum value : ParkTypeEnum.values()) {
            if (StringUtils.equalsIgnoreCase(value.getCode(), code)) {
                return value.getMessage();
            }
        }
        return  ParkTypeEnum.THREE.getMessage();
    }
}