package com.wanji.indicators.entity;

import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.time.LocalDateTime;

@Data
@EqualsAndHashCode(callSuper=false) 
public class BaseCrossTurnInfo   implements Serializable {

    private static final long serialVersionUID = 1L;

    //@ApiModelProperty(value = "转向ID（路口ID_驶入方向_转向类型）")
    private String id;

    //@ApiModelProperty(value = "转向类型：u掉头；l左转；s直行；r右转；")
    private String turnType;

    //@ApiModelProperty(value = "驶入方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    private Integer inDir;

    //@ApiModelProperty(value = "驶出方向：1北；2东北；3东；4东南；5南；6西南；7西；8西北")
    private Integer outDir;

    //@ApiModelProperty(value = "路口ID")
    private String crossId;

    //@ApiModelProperty(value = "创建时间")
    private LocalDateTime gmtCreate;

    //@ApiModelProperty(value = "修改时间")
    private LocalDateTime gmtModified;

    //@ApiModelProperty(value = "进口道RID")
    private String inRid;

    //@ApiModelProperty(value = "出口道RID")
    private String outRid;

}
