package com.wanji.indicators.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import java.util.List;

import com.wanji.indicators.util.PtInPolyUtil;
import lombok.Data;
import lombok.EqualsAndHashCode;
import com.baomidou.mybatisplus.annotation.TableName;

@Data
@EqualsAndHashCode(callSuper=false)
@TableName("t_congestion_area")
public class CongestionArea implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 路口id
     */
    private String crossId;

    /**
     * 出口id
     */
    private String outRid;

    /**
     * 出口车道数
     */
    private Integer laneNum;

    /**
     * 可以进入检测区域的进口道rid数组，逗号分隔
     */
    private String ridInArr;

    /**
     * 出口检测面wkt
     */
    private String wkt;

    private List<PtInPolyUtil.Point> points;


}
