package com.wanji.indicators.entity;

import com.fasterxml.jackson.annotation.JsonProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.Date;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@ToString
public class TurnIndicatorData implements Serializable {
    private String crossId;
    @JsonProperty("fRid")
    private String fRid;
    @JsonProperty("fRidDir")
    private Integer fRidDir;
    @JsonProperty("tRid")
    private String tRid;

    private int turnDirNo;

    private int flow;

    private double speed;

    private Date windowStartTime;

    private Date windowEndTime;

    private String granularity;

    private Integer dt;
}
