package com.wanji.indicators.event.cross.accident.sink;//package com.mapabc.project.event.cross.service.accident.sink;
//
//import com.alibaba.fastjson.JSONObject;
//import com.mapabc.constant.Constant;
//import com.mapabc.constant.EventType;
//import com.mapabc.model.cache.AccidentTimingModel;
//import com.mapabc.model.event.AccidentShowModel;
//import com.mapabc.source.redis.RedisConnect;
//import com.mapabc.util.PropertiesHelper;
//import org.apache.commons.lang3.StringUtils;
//import org.apache.flink.streaming.api.functions.sink.SinkFunction;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//
//public class AccidentRedisSink implements SinkFunction<AccidentShowModel> {
//    private static final Logger log = LoggerFactory.getLogger(AccidentRedisSink.class);
//
//    private PropertiesHelper instance;
//
//    public AccidentRedisSink(PropertiesHelper instance) {
//        this.instance = instance;
//    }
//
//    @Override
//    public void invoke(AccidentShowModel accidentShowModel, Context context) throws Exception {
//        int ttl = 60 * 60;
//        //读取环境变量中的redis过期时间配置
//        String REDIS_ACCIDENT_TTL = System.getenv(Constant.REDIS_ACCIDENT_TTL);
//        if (StringUtils.isNotBlank(REDIS_ACCIDENT_TTL)) {
//            ttl = ttl * Integer.valueOf(REDIS_ACCIDENT_TTL);
//        } else {
//            ttl = ttl * 24;
//        }
//        AccidentTimingModel m = new AccidentTimingModel();
//        //只有单车事故或多车事故会存入redis
//        if (EventType.ABNORMAL_PARKING.getCode() == accidentShowModel.getTypeCode() ||
//                EventType.ACCIDENT.getCode() == accidentShowModel.getTypeCode()) {
//            log.info("环境变量中的redis过期时间配置: " + REDIS_ACCIDENT_TTL + "  ttl: " + ttl);
//            String key = "accident_info:" + accidentShowModel.getCrossId() + Constant.MARK + accidentShowModel.getTrackId();
//            try {
//                RedisConnect.setex(instance.getProperties(), key, ttl, JSONObject.toJSONString(accidentShowModel));
//            } catch (Exception e) {
//                //链接redis异常 事故数据存储异常
//                log.error("链接redis异常 事故数据存储异常: " + e.getMessage());
//                RedisConnect.setex(instance.getProperties(), key, ttl, JSONObject.toJSONString(accidentShowModel));
//            }
//            m.setInfluenceDegree(1);
//            m.setId("duration_" + key);
//            m.setDissipation(false);
//            m.setDurationTime(accidentShowModel.getCheckTime());
//            m.setCheckTime(accidentShowModel.getCheckTime());
//            m.setStartTime(System.currentTimeMillis());
//            m.setEndTime(System.currentTimeMillis() + accidentShowModel.getCheckTime());
//            m.setRid(accidentShowModel.getRid());
//            m.setTypeCode(accidentShowModel.getTypeCode());
//            try {
//                RedisConnect.setex(instance.getProperties(), m.getId(), ttl, JSONObject.toJSONString(m));
//            } catch (Exception e) {
//                log.error("链接redis异常 事故持续时间数据存储异常: " + e.getMessage());
//                RedisConnect.setex(instance.getProperties(), m.getId(), ttl, JSONObject.toJSONString(m));
//            }
//        }
////        else {
////            m.setInfluenceDegree(1);
////            m.setId(accidentShowModel.getCrossId() + Constant.MARK + accidentShowModel.getTrackId());
////            m.setDissipation(false);
////            m.setDurationTime(accidentShowModel.getCheckTime());
////            m.setCheckTime(accidentShowModel.getCheckTime());
////            m.setStartTime(accidentShowModel.getStartTime());
////            m.setEndTime(accidentShowModel.getStartTime() + accidentShowModel.getCheckTime());
////            m.setRid(accidentShowModel.getRid());
////            m.setTypeCode(accidentShowModel.getTypeCode());
////        }
////        AccidentEventMain.mapDuration.put(m.getId(), m);
//    }
//
//}
