package com.wanji.indicators.mapper;

import com.wanji.indicators.entity.BaseRidInfo;
import java.util.List;
import org.apache.ibatis.annotations.Param;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

public interface BaseRidInfoMapper extends BaseMapper<BaseRidInfo>{
	
	 /**
	  *  查询表t_base_rid_info所有信息
	  */
	 List<BaseRidInfo> findAllBaseRidInfo();
	  
	 /**
	  *  根据主键id查询表t_base_rid_info信息
	  *  @param id
	  */
	 BaseRidInfo findBaseRidInfoByid(@Param("id") String id);

	/**
	*  根据条件查询表t_base_rid_info信息
	*  @param baseRidInfo
	*/
	List<BaseRidInfo> findBaseRidInfoByCondition(BaseRidInfo baseRidInfo);

	 /**
	  *  根据主键id查询表t_base_rid_info信息
	  *  @param id
	  */
	 Integer deleteBaseRidInfoByid(@Param("id") String id);
	
	 /**
	  *  根据主键id更新表t_base_rid_info信息
	  *  @param baseRidInfo
	  */
	 Integer updateBaseRidInfoByid(BaseRidInfo baseRidInfo);
	
	 /**
	  *  新增表t_base_rid_info信息
	  *  @param baseRidInfo
	  */
	 Integer addBaseRidInfo(BaseRidInfo baseRidInfo);
	
}

