package com.wanji.indicators.model;

import lombok.Data;

import java.io.Serializable;

@Data
public class CrossRidTurnLampStatusModel implements Serializable {
    private String crossId;
    private String rid;
    //八方位方向
    private Integer dir;
    //灯态 red：红灯 green：绿灯 yellow:黄灯
    private String lampState;

    //转向 1左转 2直行 3右转 20行人灯
    private String turn;

    private Integer cycleCountDown;
    private Integer cyclePhaseCountDown;
    private Integer cycleLen;

    private String type;
    //灯态时间
    private long lightStatusTime;

}
