package com.wanji.indicators.model.event.accident;


import java.io.Serializable;
import java.util.List;

/**
 * 2022/1/7 22:13
 *
 * @auther ke.han
 */
public class AbnormalStateModel implements Serializable {

    /**
     * 辅助计算字段
     */
    //停车持续时间 单位毫秒
    private long stopDuration;
    //停车开始时间 时间戳
    private long stopTime;
    //三色预警状态
    private int eventState;
    //事件类型
    private int typeCode;
    /**
     * 轨迹数据字段
     */
    private String crossId;//: "10I4M0830K0"
    private int crossing;// 1
    private int trackId;//: 408732
    private int objectType;//: 1
    private int vehicleColor;//: 4
    private int vehicleType;//: 1
    private String vehicleBrand;//: "\346\234\254\347\224\260"
    private String vehicleSubbrand;//: "\351\233\205\351\230\201"
    private String vehicleYearBrand;//: "2003,2004,2007,2008,2010,2011,2012,2013,2014"
    private String entryLane;//: "10I6S082VM010I4M0830K0090012"
    private String exitLane;//: "10I4M0830K010I360830D0010011"
    private String matchLane;//: "10I4M0830K010I360830D0020011"
    private String matchLaneName;//: "\350\245\277  1"
    private String laneFunc;
    private String rid;
    private double driveAngle;//: 262.88
    private double lat;//: 26.52352862096375
    private double lng;//: 106.71488115347212
    private int plateColor;//: 6
    private String plateNumber;//: "\350\264\265CEA922"
    private int plateType;//: 2
    private double speed;//: 49.37
    private double at;//: -0.09
    private double areaDist;//: 61.68
    private double stopLineDist;//: -1.0
    private double delayTime;//: 0.72
    private double travelTime;//: 10.1
    private long time;//: 1617279936374
    private String plateBgColor;//: "#0000ff"
    private String plateTextColor;//: "#ffffff"

    //三色预警蓝色预警开关
    private String isOpenBlue;

    public String getIsOpenBlue() {
        return isOpenBlue;
    }

    public void setIsOpenBlue(String isOpenBlue) {
        this.isOpenBlue = isOpenBlue;
    }


    public long getStopDuration() {
        return stopDuration;
    }

    public void setStopDuration(long stopDuration) {
        this.stopDuration = stopDuration;
    }

    public long getStopTime() {
        return stopTime;
    }

    public void setStopTime(long stopTime) {
        this.stopTime = stopTime;
    }

    public int getEventState() {
        return eventState;
    }

    public void setEventState(int eventState) {
        this.eventState = eventState;
    }

    public int getTypeCode() {
        return typeCode;
    }

    public void setTypeCode(int typeCode) {
        this.typeCode = typeCode;
    }

    public String getCrossId() {
        return crossId;
    }

    public void setCrossId(String crossId) {
        this.crossId = crossId;
    }

    public int getCrossing() {
        return crossing;
    }

    public void setCrossing(int crossing) {
        this.crossing = crossing;
    }

    public int getTrackId() {
        return trackId;
    }

    public void setTrackId(int trackId) {
        this.trackId = trackId;
    }

    public int getObjectType() {
        return objectType;
    }

    public void setObjectType(int objectType) {
        this.objectType = objectType;
    }

    public int getVehicleColor() {
        return vehicleColor;
    }

    public void setVehicleColor(int vehicleColor) {
        this.vehicleColor = vehicleColor;
    }

    public int getVehicleType() {
        return vehicleType;
    }

    public void setVehicleType(int vehicleType) {
        this.vehicleType = vehicleType;
    }

    public String getVehicleBrand() {
        return vehicleBrand;
    }

    public void setVehicleBrand(String vehicleBrand) {
        this.vehicleBrand = vehicleBrand;
    }

    public String getVehicleSubbrand() {
        return vehicleSubbrand;
    }

    public void setVehicleSubbrand(String vehicleSubbrand) {
        this.vehicleSubbrand = vehicleSubbrand;
    }

    public String getVehicleYearBrand() {
        return vehicleYearBrand;
    }

    public void setVehicleYearBrand(String vehicleYearBrand) {
        this.vehicleYearBrand = vehicleYearBrand;
    }

    public String getEntryLane() {
        return entryLane;
    }

    public void setEntryLane(String entryLane) {
        this.entryLane = entryLane;
    }

    public String getExitLane() {
        return exitLane;
    }

    public void setExitLane(String exitLane) {
        this.exitLane = exitLane;
    }

    public String getMatchLane() {
        return matchLane;
    }

    public void setMatchLane(String matchLane) {
        this.matchLane = matchLane;
    }

    public String getMatchLaneName() {
        return matchLaneName;
    }

    public void setMatchLaneName(String matchLaneName) {
        this.matchLaneName = matchLaneName;
    }

    public String getLaneFunc() {
        return laneFunc;
    }

    public void setLaneFunc(String laneFunc) {
        this.laneFunc = laneFunc;
    }

    public String getRid() {
        return rid;
    }

    public void setRid(String rid) {
        this.rid = rid;
    }

    public double getDriveAngle() {
        return driveAngle;
    }

    public void setDriveAngle(double driveAngle) {
        this.driveAngle = driveAngle;
    }

    public double getLat() {
        return lat;
    }

    public void setLat(double lat) {
        this.lat = lat;
    }

    public double getLng() {
        return lng;
    }

    public void setLng(double lng) {
        this.lng = lng;
    }

    public int getPlateColor() {
        return plateColor;
    }

    public void setPlateColor(int plateColor) {
        this.plateColor = plateColor;
    }

    public String getPlateNumber() {
        return plateNumber;
    }

    public void setPlateNumber(String plateNumber) {
        this.plateNumber = plateNumber;
    }

    public int getPlateType() {
        return plateType;
    }

    public void setPlateType(int plateType) {
        this.plateType = plateType;
    }

    public double getSpeed() {
        return speed;
    }

    public void setSpeed(double speed) {
        this.speed = speed;
    }

    public double getAt() {
        return at;
    }

    public void setAt(double at) {
        this.at = at;
    }

    public double getAreaDist() {
        return areaDist;
    }

    public void setAreaDist(double areaDist) {
        this.areaDist = areaDist;
    }

    public double getStopLineDist() {
        return stopLineDist;
    }

    public void setStopLineDist(double stopLineDist) {
        this.stopLineDist = stopLineDist;
    }

    public double getDelayTime() {
        return delayTime;
    }

    public void setDelayTime(double delayTime) {
        this.delayTime = delayTime;
    }

    public double getTravelTime() {
        return travelTime;
    }

    public void setTravelTime(double travelTime) {
        this.travelTime = travelTime;
    }

    public long getTime() {
        return time;
    }

    public void setTime(long time) {
        this.time = time;
    }

    public String getPlateBgColor() {
        return plateBgColor;
    }

    public void setPlateBgColor(String plateBgColor) {
        this.plateBgColor = plateBgColor;
    }

    public String getPlateTextColor() {
        return plateTextColor;
    }

    public void setPlateTextColor(String plateTextColor) {
        this.plateTextColor = plateTextColor;
    }
}
