package com.wanji.indicators.model.event.deadlock;

import lombok.Data;

import java.io.Serializable;

@Data
public class CrossDeadlockResultModel extends CrossDeadLockStatusModel implements Serializable {

    /**
     * 事件标识
     */
    private String eventClass;
    /**
     * 事件类型
     */
    private String eventType;
    /**
     * 事件类型编码
     */
    private int typeCode;

    /**
     * 事件信息
     */
    private String desc;
    /**
     * 事件信息 - 英文
     */
    private String descEn;
    /**
     * 事件检出时间
     */
    private long checkOutTime;
    /**
     * 路口名称
     */
    private String recoveryCross;
    /**
     * 是否消散 0否  1是
     */
    private int isDissipate;


}
