package com.wanji.indicators.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.wanji.indicators.entity.BaseLaneDetector;
import com.wanji.indicators.mapper.BaseLaneDetectorMapper;
import com.wanji.indicators.service.BaseLaneDetectorService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author Kent HAN
 * @date 2024/3/27 10:24
 */
@Service
@Slf4j
public class BaseLaneDetectorServiceImpl extends ServiceImpl<BaseLaneDetectorMapper, BaseLaneDetector> implements BaseLaneDetectorService {

    @Resource
    private BaseLaneDetectorMapper baseLaneDetectorMapper;

    @Override
    public List<BaseLaneDetector> getSenseLaneDetectors() {
        return baseLaneDetectorMapper.selectSense();
    }
}
