package com.wanji.indicators.sink;

import com.wanji.indicators.util.FileUtil;
import org.apache.commons.lang3.StringUtils;
import org.apache.flink.streaming.api.functions.sink.SinkFunction;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class JsonStringFileSink implements SinkFunction<String> {
    private static final Logger log = LoggerFactory.getLogger(JsonStringFileSink.class);

    private String path = "D:\\sink\\";

    public JsonStringFileSink(String path) {
        this.path = path;
    }

    @Override
    public void invoke(String str, Context context) {
        if(StringUtils.isNotBlank(path)){
            FileUtil.writeApend(path, str);
        }
    }

}
