package com.wanji.indicators.task.area.service.key;

import com.wanji.indicators.model.CarTrackModel;
import org.apache.flink.api.java.functions.KeySelector;
import org.apache.flink.api.java.tuple.Tuple3;
import org.apache.flink.api.java.tuple.Tuple5;

public class ExactCategoryKeySelector implements KeySelector<CarTrackModel, Tuple5<String, String, String,Integer,Integer>> {

    @Override
    public Tuple5<String, String, String,Integer,Integer> getKey(CarTrackModel carTrackModel) throws Exception {
        return new Tuple5<>(carTrackModel.getRoadnet().getCrossId(),
                            carTrackModel.getRoadnet().getRid(),
                            carTrackModel.getRoadnet().getLaneId(),
                            carTrackModel.getCategory(),
                            carTrackModel.getOriginalType()
                           );
    }
}
