package com.wanji.indicators.task.area.service.model;

import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author fengyi
 * @date 2023/4/6
 * @description
 */
@Data
@ToString
public class LaneCarCountAnalysisOutputModel implements Serializable {

    private String startTime;
    private String endTime;
    private Long startTimestamp;
    private Long endTimestamp;
    private Long timestamp;
    //类别：1机动车 2非机动车 3行人
    private Integer category;
    //目标具体类型
    private Integer originalType;
    //参与者目标数量
    private Long number;
    //在路口内数量
    private Long numberInCross;
    //平均速度
    private Double avgSpeed;

    private String crossId;
    private String rid;
    private String laneId;

    private List<Integer> idList;
}
