package com.wanji.indicators.task.area.service.model;

import com.wanji.indicators.constant.Constant;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author fengyi
 * @date 2023/4/6
 * @description
 */
@Data
@ToString
public class ParticipantAnalysisMidResultModel implements Serializable {
    private String id = Constant.HASH_KEY_TRAVEL_DATA;

    private Integer originalType=0;

    private String startTime;
    private String endTime;
    private Long startTimestamp;
    private Long endTimestamp;
    private Long timestamp;

    private Double speed=0D;//平均速度
    private Long count;//参与者目标数量
    private Double trafficIndex;
    private String trafficState;

    private String crossId;
    private String rid;
    private Integer category;
}
