package com.wanji.indicators.task.citybrain.snapshot;

import com.alibaba.fastjson.JSONObject;
import com.wanji.indicators.task.trajectory.pojo.LaneSnapshotDataDTO;
import org.apache.flink.api.common.functions.MapFunction;

public class LaneSnapshotMapFunction implements MapFunction<String, LaneSnapshotDataDTO> {
    @Override
    public LaneSnapshotDataDTO map(String trackJson) throws Exception {
        return JSONObject.parseObject(trackJson, LaneSnapshotDataDTO.class);
    }

}