package com.wanji.indicators.task.citybrain.vo;

import lombok.Data;

/**
 * @author duanruiming
 * @date 2024/03/25 17:20
 * @description  数据大脑溢出事件
 */
@Data
public class SpilloverEventVO {
    //数据时间,毫秒级时间戳
    private String data_time;
    // spillback溢出事件
    private String eventType;
    // 设备编号
    private String deviceNo;
    // 断面编号，南向北 1，东向西 2，北向南 3，西向东 4
    private String sectionNo;
    // 事件唯一编号
    private String euuid;
    // 溢出检测区编号
    private String areaId;
    // 0：上行，1：下行（高速使用）
    private String flow;
    // 区域中心位置,相对于雷达[x,y,z]
    private String position;
    // 区域中心地理位置 [经度,纬度,海拔]
    private String geography;
    // 溢出区车辆数
    private String vehicleNum;
    // 平均速度
    private String speedAverage;
    // 空间占有率
    private String spaceOccupancy;
    // 溢出状态 0溢出消散, 1 溢出触发, 2溢出持续
    private String state;
}
