package com.wanji.indicators.task.citybrainreceive.devicestatus;

import com.wanji.indicators.util.CityBrainReceiveUtil;
import org.apache.flink.api.common.functions.MapFunction;
import org.apache.flink.shaded.jackson2.com.fasterxml.jackson.databind.ObjectMapper;

public class DeviceStatusReceiveMap implements MapFunction<String, DeviceStatusReceiveModel> {
    private static final ObjectMapper objectMapper = new ObjectMapper();

    @Override
    public DeviceStatusReceiveModel map(String value) throws Exception {
        String processedValue = CityBrainReceiveUtil.processJson(value);
        return objectMapper.readValue(processedValue, DeviceStatusReceiveModel.class);
    }
}
