package com.wanji.indicators.task.citybrainreceive.laneturnratio;

import com.fasterxml.jackson.core.type.TypeReference;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.wanji.indicators.task.citybrain.vo.LaneTurnRatioDataVO;
import com.wanji.indicators.task.citybrainreceive.CommonReceiveModel;
import net.wanji.common.utils.tool.JacksonUtils;
import org.apache.flink.api.common.functions.MapFunction;
import org.springframework.util.CollectionUtils;

import java.util.List;

/**
 * @author duanruiming
 * @date 2024/04/10 14:39
 */
public class LaneTurnRatioReceiveMap implements MapFunction<String, CommonReceiveModel> {
    @Override
    public CommonReceiveModel map(String value) throws Exception {
        ObjectMapper mapper = JacksonUtils.getInstance();
        CommonReceiveModel model = mapper.readValue(value, CommonReceiveModel.class);
        String body = model.getBody();
        List<LaneTurnRatioDataVO> laneTurnRatioDataVOS = mapper.readValue(body, new TypeReference<List<LaneTurnRatioDataVO>>() {});
        if (!CollectionUtils.isEmpty(laneTurnRatioDataVOS)) {
            for (LaneTurnRatioDataVO laneTurnRatioDataVO : laneTurnRatioDataVOS) {

            }
        }

        return model;
    }
}