package com.wanji.indicators.task.citybrainreceive.targetinfo;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.annotation.JSONType;
import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @ClassName E1FrameVO
 * @Description
 * @Date 2021/1/12 9:16
 * @Version 1.0
 */
@Data
@JSONType(orders = {"timeStamp", "globalTimeStamp", "participantNum","e1FrameParticipant"})
public class E1FrameMiniVO extends Org {
    @JSONField(format="yyyy-MM-dd HH:mm:ss:SSS")
    private Date timeStamp;// 检测时间，yyyy-MM-dd HH:mm:ss:SSS（可读性考虑）

    private Long globalTimeStamp;//全域上报时间

    private Integer participantNum;//交通参与者数量

    private List<E1FrameParticipantMiniVO> e1FrameParticipant;//交通参与者集合

}
