package com.wanji.indicators.task.citybrainreceive.targetinfo;

import lombok.Data;

/**
 * @ClassName E1FrameParticipantVO
 * @Description
 * @Date 2021/1/12 9:16
 * @Version 1.0
 */
@Data
public class E1FrameParticipantMiniVO {
    private Integer id;

    //路网数据
    private Roadnet roadnet;

    //E1帧原始车辆类型
    private Integer originalType;

    //E1帧原始车辆颜色
    private Integer originalColor;

    private Double longitude;//经度

    private Double latitude;//纬度

    private Integer altitude;//海拔

    private Double speed;//速度 Km/h

    private Double courseAngle;//航向角

    private String picLicense="";

    private Integer licenseColor=9;

    // 目标所在方位 1-北进口、2-东进口、3-南进口、4-西进口（目标在停止线内侧时，此字段均应有值,1~4，无车道线的路口中心区域，此值为0）
    private Integer baseLocation;

    private Integer waitingTime;//	true	Int	等待时间

    private Integer stopNum;//	True	int	停车次数

    // 交通参与者的置信度
    private Byte confidence;

    // 2激光 3毫米波
    private Byte source;

    // 检测来源 0检测结果 1预测结果 2综合结果
    private Byte detecSource;

    // 原始ID
    private Integer sourceId;

    // 来自厂家
    private String from;

}
