package com.wanji.indicators.task.laneIndicators.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@ToString
public class CrossLaneResultModel implements Serializable {

    private String crossId;

    private String crossName;

    //周期开始时间
    private String startTime;
    //周期截止时间
    private String endTime;

    private Long timestamp;

    private List<LaneResultModel> laneDataList;

    private String granularity;

}
