package com.wanji.indicators.task.lightstatus.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper = false)
@ToString
public class VehicleHeadTimeModel implements Serializable {

    private String crossId;
    private String rid;
    private Integer dir;
    private String laneId;
    private String turn;
    //车头总时距，单位秒
    private double headTime;
    //绿灯总时长
    private double greenTime;

    private Long timeStamp;
}
