package com.wanji.indicators.task.pedestrian.service.model;

import com.wanji.indicators.util.ArithOfBigDecmial;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@ToString
public class PedCrossingWalkIndicatorResult implements Serializable {

    private String crossId;
    private String rid;
    private Integer ridDir ;
    //行人绿灯时长
    Integer pedGreenTime;
    //绿灯开始时间
    long startTime ;
    String startTimeStr;
    //绿灯结束时间
    long endTime ;
    String endTimeStr;
    //平均通过率
    double avgPassedRate ;
    //平均通过时长
    double avgPassTime ;
    //绿灯计算时加速通过率
    double accRate ;
    //人数
    private int pedCount;
    //平均等待时长
    double avgWaitTime ;
    //平均等待人数
    long waitingCount;

    List<PedCrossingWalkModel> walkingPedDetail;
    List<PedCrossingWalkModel> waitingPedDetail;
}
