package com.wanji.indicators.task.track.service.sink;

import com.wanji.indicators.util.FileUtil;
import org.apache.commons.lang3.StringUtils;
import org.apache.flink.streaming.api.functions.sink.SinkFunction;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

public class FileSink implements SinkFunction<String> {
    private static final Logger log = LoggerFactory.getLogger(FileSink.class);

    private String path;

    public FileSink(String path) {
        this.path = path;
    }

    @Override
    public void invoke(String json, Context context) {

        if(StringUtils.isNotBlank(path)){
            FileUtil.writeApend(path, json);
        }

    }

}
