package com.wanji.indicators.task.trafficstate.func;

import com.alibaba.fastjson.JSONObject;
import com.wanji.indicators.model.LanePeriodicDataModel;
import org.apache.flink.api.common.functions.FlatMapFunction;
import org.apache.flink.util.Collector;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 * 帧数据转换
 */
public class LanePeriodDataFlatMap implements FlatMapFunction<String, LanePeriodicDataModel> {

    private static final Logger log = LoggerFactory.getLogger(LanePeriodDataFlatMap.class);

    @Override
    public void flatMap(String json, Collector<LanePeriodicDataModel> collector) throws Exception {

        LanePeriodicDataModel data = JSONObject.parseObject(json, LanePeriodicDataModel.class);

        collector.collect(data);

    }

}
