package com.wanji.indicators.task.trafficstate.model;

import com.alibaba.fastjson.annotation.JSONField;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

/**
 * @author fengyi
 * @date 2023/10/16
 * @description
 */
@Data
@ToString
public class LaneTrafficStateResult implements Serializable {
        private static final long serialVersionUID = 1;

        private String id = "Lane_Traffic_State";
        private Long nowTimeStamp;
        private String nowDateTime;
        private String startTime;
        private Long startTimestamp;
        private Long endTimestamp;
        private String endTime;

        private String rid;
        private Integer ridDir;
        private String segmentId;
        private String laneId;
        private double laneLength;
        private double ridLength;

        private Double laneIndex;
        private Double avgStopNum;
        private int trafficState;
        private Double trafficIndex;

        private List<Integer> trackIdList;

        @JSONField(serialize = false)
        private long createTime;
}
