package com.wanji.indicators.task.turnIndicators.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

@Data
@EqualsAndHashCode(callSuper = false)
@ToString
public class TurnResultModel implements Serializable {

    private String inRid;
    private Integer inRidDir;
    private String outRid;
    private int turnDirNo;
    private int flow;
    private double speed;
    private List<Integer> trackIdList = new ArrayList<>();

}
