package generator.code;

/**
 * 项目常量
 */
public final class ProjectConstant {
    public static final String BASE_PACKAGE = "com.wanji.holo";//项目基础包名称，根据自己公司的项目修改

    public static final String MYSQL_MODEL_PACKAGE = BASE_PACKAGE + ".entity";//Model所在包
    public static final String MYSQL_MAPPER_PACKAGE = BASE_PACKAGE + ".mapper";//Mapper所在包
    public static final String MYSQL_SERVICE_PACKAGE = BASE_PACKAGE + ".provider.service";//Service所在包
    public static final String MYSQL_SERVICE_IMPL_PACKAGE = MYSQL_SERVICE_PACKAGE + ".impl";//ServiceImpl所在包

    public static final String CONTROLLER_PACKAGE = BASE_PACKAGE + ".restful";//Controller所在包
    public static final String MAPPER_INTERFACE_REFERENCE = BASE_PACKAGE + ".core.Mapper";//Mapper插件基础接口的完全限定名


}
