//package net.wanji.datacenter.kafka;
//
//import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
//import com.fasterxml.jackson.core.JsonProcessingException;
//import lombok.extern.slf4j.Slf4j;
//import net.wanji.common.utils.tool.JacksonUtils;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.kafka.core.KafkaTemplate;
//import org.springframework.kafka.support.SendResult;
//import org.springframework.stereotype.Component;
//import org.springframework.util.concurrent.ListenableFuture;
//
///**
// * @author duanruiming
// * @date 2023/08/02 16:58
// */
//@Component
//@Slf4j
//@SuppressWarnings("all")
//public class ProducerHandler {
//    @Autowired
//    private KafkaTemplate<String, String> kafkaTemplate1;
//    @Autowired
//    private KafkaTemplate<String, String> kafkaTemplate2;
//
//    public void send2FirstKafka(String topic, Object msg) {
//        Page<Object> objectPage = new Page<>();
//        try {
//            ListenableFuture<SendResult<String, String>> future = this.kafkaTemplate1.send(topic, JacksonUtils.getInstance().writeValueAsString(msg));
//            future.addCallback(
//                    success -> {
//                    },
//                    failure -> log.error("消息发送失败：", failure));
//        } catch (JsonProcessingException e) {
//            log.error("{}主题发送kafka1消息失败：", e);
//            return;
//        }
//    }
//
//    public void send2SecondKafka(String topic, Object msg) {
//        Page<Object> objectPage = new Page<>();
//        try {
//            ListenableFuture<SendResult<String, String>> future = this.kafkaTemplate2.send(topic, JacksonUtils.getInstance().writeValueAsString(msg));
//            future.addCallback(
//                    success -> {
//                    },
//                    failure -> log.error("消息发送失败：", failure));
//        } catch (JsonProcessingException e) {
//            log.error("{}主题发送kafka2消息失败：", e);
//            return;
//        }
//    }
//}
