package net.wanji.datacenter.mapper;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import net.wanji.datacenter.pojo.po.EventInfoPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author Kent HAN
 * @date 2024/3/4 10:04
 */
@Repository
public interface EventInfoMapper {
    List<EventInfoPO> selectHistEvent();
    void insertOne(EventInfoPO eventInfoPO);
    void updateOne(EventInfoPO eventInfoPO);

    /**
     * 通过事件唯一ID查询
     * @param eventSerialNumber
     * @return
     */
    EventInfoPO selectByEventSerialNumber(String eventSerialNumber);
}
