package net.wanji.datacenter.pojo.dto;

import lombok.Data;

import java.io.Serializable;
import java.util.Map;

@Data
public class LineCongestion implements Serializable {

    private Integer greenWaveId;

    private Integer greenWaveDir;

    private Double index;

    // 501畅通 502轻微拥堵 503中度拥堵 504重度拥堵
    private String congestionCode;

    private Long startTime;

    private Long endTime;

    private Integer duration;

    // 协调方向行程时间（总）
    private Double transitTime;

    // 协调方向自由流时间（总）
    private Double freeTime;

    // 检测时间
    private Long detectTime;

    //拥堵状态
    private String congestionType;

    private Double speed;

    //干线路段旅行时间
    private Map<String,Double> ridTravelTime;
}