package net.wanji.datacenter.pojo.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;

import java.util.Date;

/**
 * @author duanruiming
 * @date 2024/11/19 17:48
 */
@Data
@TableName("t_strategy_green_opt_hist")
public class StrategyGreenOptHistEntity {
    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;
    @TableField("green_id")
    private String greenId;
    @TableField("length")
    private Double length;
    @TableField("cycle")
    private Integer cycle;
    @TableField("control_time")
    private String controlTime;
    @TableField("control_duration")
    private Integer controlDuration;
    @TableField("control_method")
    private Integer controlMethod;
    @TableField("type")
    private Integer type;
    @TableField("dynamic")
    private Integer dynamic;
    @TableField("dir_type")
    private Integer dirType;
    @TableField("dir")
    private String dir;
    @TableField("max_speed")
    private Double maxSpeed;
    @TableField("min_speed")
    private Double minSpeed;
    @TableField("green_width_time")
    private Double greenWidthTime;
    @TableField("cross_green_detail")
    private String crossGreenDetail;
    @TableField("key_cross")
    private String keyCross;
    @TableField("create_time")
    private Date createTime;
    @TableField("modify_time")
    private Date modifyTime;
    /** 是否成功（200成功，其他失败）*/
    @TableField("response_code")
    private Integer responseCode;
    /** 响应内容 */
    @TableField("response_content")
    private String responseContent;
}
