package net.wanji.datacenter.service;

import net.wanji.datacenter.pojo.vo.GreenBeltChartVO;
import net.wanji.datacenter.pojo.vo.GreenBeltOptInfoVO;

/**
 * @author duanruiming
 * @date 2024/11/19 18:07
 */
public interface GreenBeltInfoService {
    /**
     * 数据转换
     * @param message
     * @return
     * @throws Exception
     */
    GreenBeltOptInfoVO convertData(String message) throws Exception;
    GreenBeltChartVO convertChartData(GreenBeltOptInfoVO vo) throws Exception;

    /**
     * 存储
     * @param infoVO
     * @throws Exception
     */
    void save(GreenBeltOptInfoVO infoVO) throws Exception;
    void savePeriod(String message) throws Exception;
}
