package com.wanji.indicators.constant;

import java.util.HashMap;
import java.util.Map;

public class Constant {


  public static final String WAN_JI_NAME = "wanji";
  public static final String MIDDLE_LINE = "-";
  public static final String REAL_TIME_LANE_DATA_KEY = "crossRealTimeLaneData";
  public static final String REAL_TIME_LANE_DATA_TOPIC = "cross_real_time_lane_data";
  public static final String REAL_TIME_DIR_DATA_KEY = "crossRealTimeDirData";
  public static final String REAL_TIME_DIR_DATA_TOPIC = "cross_real_time_dir_data";
  public static final String REAL_TIME_TURN_DATA_KEY= "crossRealTimeTurnData";
  public static final String REAL_TIME_TURN_DATA_TOPIC= "cross_real_time_turn_data";
  public static final String REAL_TIME_CROSS_DATA_KEY= "crossRealTimeData";
  public static final String REAL_TIME_CROSS_DATA_TOPIC= "cross_real_time_data";


  public static final String EMPTY="EMPTY";
  //机动车类型集合，逗号分割
  public static final String MOTOR_TYPES = "1,2,3,7,8,10,11,12,13,15";

  public static final String AREA_REALTIME_INDICATOR = "AREA_REALTIME_INDICATOR";

  public static final String LANE_TRAFFIC_STATE = "LANE_TRAFFIC_STATE";

  public static final String RID_TRAFFIC_STATE = "RID_TRAFFIC_STATE";

  public static final String RID_REALTIME_INDICATOR = "RID_REALTIME_INDICATOR";

  public static final String HASH_KEY_TRAVEL_DATA = "TRAVEL_DATA";

  public static final String HASH_KEY_AREA_FREE_FLOW_SPEED = "AREA_FREE_FLOW_SPEED";

  public static final String HASH_KEY_AREA_MAX_QUEUE_LENGTH = "AREA_MAX_QUEUE_LENGTH";

  public static final String RID_MARK = "RID_XXXXXXXXXXXXXXXXXXX";
  public static final String RID_MARK_LANE = "LANE_XXXXXXXXXXXXXXXXXXXXXXX";

  public static final String CONSUL_EVENT_PATH = "flink/runtime";

  public static final String CONSUL_EVENT_SETTINGS = "flink/safety";

  public static final String CONSUL_EVENT_TEMPLATE = "template";

  public static final String CONSUL_EVENT_PARAM_SET = "paramSet";

  public static final String CONSUL_EVENT_AREA_SET = "areaSet";

  /**
   * 开关  开
   */
  public static final String ON = "ON";
  /**
   * 开关 关
   */
  public static final String OFF = "OFF";

  /**
   * 离线计算 windows 默认工作目录
   */
  public static String PATH_WINDOWS = "D:\\flink\\workspace\\";

  /**
   * 离线计算 linux 默认工作目录
   */
  public static String PATH_LINUX = "/opt/flink/work/";//"/data/flink/workspace/";

  /**
   * 区域划分代码 - 斑马线上
   */
  public static final int ZEBRA_CROSSING = 0;
  /**
   * 区域划分代码 - 路口中央
   */
  public static final int CROSSING_CENTER = 1;
  /**
   * 区域划分代码 - 路口出口
   */
  public static final int CROSSING_EXPORT = 2;

  /**
   * 轨迹数据在路口内
   */
  public static int CROSSING = 1;

  /**
   * 行人灯转向
   */
  public static final String PEDESTRAIN_LIGHT_CODE = "20";

  /**
   * 右转灯转向
   */
  public static final String RIGHT_LIGHT_CODE = "3";

  /**
   * 入侵结果
   */
  public static final String SAVE_PATH = "/invade/";

  /**
   * 事故-目标车辆
   */
  public static final String TARGET_VEHICLE = "";

  /**
   * 事故相关
   */
  public static final String SUSPECTED_COLLISION = "疑似碰撞";
  public static final String REAR_END_COLLISION = "疑似追尾";
  public static final String SIDE_IMPACT = "疑似侧碰";
  public static final String SCRATCH = "疑似刮蹭";
  public static final String AND = " 与 ";
  public static final String SINGLE_CAR_ACCIDENT = "疑似单车事故: ";
  public static final String TWO_CAR_ACCIDENT = "疑似双车事故: ";
  public static final String MULTI_CAR_ACCIDENT = "疑似多车事故: ";
  public static final String TRAJECTORY_ANALYSIS_A = "根据轨迹分析，现场仅 ";
  public static final String TRAJECTORY_ANALYSIS_B = " 一辆机动车涉及事故。";
  public static final String CAUSE_OF_TROUBLE_A = " 从相同方向进入路口行驶,发生事故。";
  public static final String CAUSE_OF_TROUBLE_B = " 从不同方向进入路口,行驶路线发生冲突,导致事故。";
  public static final String CAUSE_OF_TROUBLE_C = " 行驶路线发生冲突,导致事故。";
  public static final String RESPONSIBILITY_A = " 责任占比较高(仅供参考)";
  public static final String RESPONSIBILITY_B = " 行车轨迹复杂，请参考现场视频判定责任方。";
  public static final String POSITION = " 为后车 。";

  public static final String EN_SUSPECTED_COLLISION = "Suspected collision";//疑似碰撞
  public static final String EN_REAR_END_COLLISION = "Suspected rear end collision";//疑似追尾
  public static final String EN_SIDE_IMPACT = "Suspected side impact";//疑似侧碰
  public static final String EN_SCRATCH = "Suspected scraping";//疑似刮蹭
  public static final String EN_AND = " and ";
  /**
   * 疑似单车事故
   */
  public static final String EN_SINGLE_CAR_ACCIDENT = "Suspected vehicle accident: ";
  /**
   * 疑似多车事故
   */
  public static final String EN_TWO_CAR_ACCIDENT = "Suspected two-vehicle accident: ";
  /**
   * 疑似多车事故
   */
  public static final String EN_MULTI_CAR_ACCIDENT = "Suspected multi-vehicle accident: ";
  /**
   * 根据轨迹分析，现场仅一辆机动车涉及事故
   */
  public static final String EN_TRAJECTORY_ANALYSIS_A = "According to the trajectory analysis, only one vehicle was involved in the accident ";
  public static final String EN_TRAJECTORY_ANALYSIS_B = Constant.EMPTY_STRING;
  /**
   * aaa 与 bbb 从相同方向进入路口行驶,发生事故。
   */
  public static final String EN_CAUSE_OF_TROUBLE_A = " driving from the same direction into the cross, causing an accident.";
  /**
   * aaa 与 bbb 从不同方向进入路口,行驶路线发生冲突,导致事故。
   */
  public static final String EN_CAUSE_OF_TROUBLE_B = " when entering the cross from different directions, the driving route conflicts, resulting in accidents.";
  public static final String EN_CAUSE_OF_TROUBLE_C = "the driving route conflicts, resulting in accidents.";
  /**
   * bbb 责任占比较高(仅供参考)
   */
  public static final String EN_RESPONSIBILITY_A = " has a high proportion of responsibility (for reference only)";
  /**
   * 行车轨迹复杂，请参考现场视频判定责任方。
   */
  public static final String EN_RESPONSIBILITY_B = " The driving track is complex, please refer to the scene video to determine the responsible party.";
  /**
   * bbb 为后车 。
   */
  public static final String EN_POSITION = " is rear car.";

  /**
   * 任务黑名单配置
   */
  public static final String JOB_BLACK_LIST = "JOB_BLACK_LIST";

  /**
   * kafka服务地址
   */
  public static final String KAFKA_BOOTSTRAP_SERVERS = "KAFKA_BOOTSTRAP_SERVERS";

  /**
   * 首页数据保存时间 - redis TTL
   */
  public static final String REDIS_ACCIDENT_TTL = "REDIS_ACCIDENT_TTL";

  /**
   * 常用分隔符
   */
  public static final String MARK = "-";

  /**
   * 常用分隔符
   */
  public static final String ADD = "+";

  /**
   * 常用分隔符
   */
  public static final String SPACE = " ";

  /**
   * 常用分隔符
   */
  public static final String COMMA = ",";

  /**
   * 常用分隔符 分号
   */
  public static final String  SEMICOLON = ";";

  /**
   * 常用分隔符 冒号
   */
  public static final String COLON = ":";

  /**
   * 空字符串
   */
  public static final String EMPTY_STRING = "";

  /**
   * 数据类型字典 机动车=1  非机动车=2  行人=3
   */
  public static final int VEHICLE = 1;
  public static final int NON_VEHICLE = 2;
  public static final int PEOPLE = 3;

  /**
   * 事件开启状态  1开启  0关闭
   */
  public static final int OPEN = 1;

  /**
   * 车道功能 - 高精转向字典
   */
  public static final Map<String, String> mapGJ = new HashMap<>();
  /**
   * 中英转换 - 高精转向字典
   */
  public static final Map<String, String> mapGJEn = new HashMap<>();
  /**
   * 车道功能 - 转向字典
   */
  public static final Map<String, String> mapTurn = new HashMap<>();

  /**
   * rid - 行车方向字典
   */
  public static final Map<String, String> mapRidDir = new HashMap<>();

  /**
   * 行车方向字典 - rid
   */
  public static final Map<String, String> mapDirRid = new HashMap<>();

  /**
   * 事故汉转英字典
   */
  public static final Map<String, String> mapAccident = new HashMap<>();

  public static final String LEFT_TURN = "左转";
  public static final String STRAIGHT_LINE = "直行";
  public static final String RIGHT_TURN = "右转";
  public static final String TURN_AROUND = "掉头";

  /**
   * 地理方向代码
   */
  public static final String E = "东";
  public static final String W = "西";
  public static final String S = "南";
  public static final String N = "北";

  public static final String EN = "东北";
  public static final String WN = "西北";
  public static final String ES = "东南";
  public static final String WS = "西南";

  /**
   * 转向代码
   */
  public static final String LEFT_TURN_CODE = "1";
  public static final String STRAIGHT_LINE_CODE = "2";
  public static final String RIGHT_TURN_CODE = "3";
  public static final String TURN_AROUND_CODE = "4";

  /**
   * 信号灯态代码
   */
  public static final String RED = "red";
  public static final String YELLOW = "yellow";
  public static final String GREEN = "green";

  public static final String SG = "SG";
  public static final String WGBD = "WGBD";
  public static final String CTD = "CTD";
  public static final String BACDXS = "BACDXS";
  public static final String WFCS = "WFCS";
  public static final String YDYC = "YDYC";
  public static final String SJYS = "SJYS";
  public static final String DHCYZ = "DHCYZ";
  public static final String NX = "NX";
  //机动车灯组标识
  public static final String MOTOR_LIGHT = "motor";
  //人行灯组标识
  public static final String PED_LIGHT = "ped";

  /*
   * 高精转向代码 0右转 1直行 2左转
   */
  static {
    //左转
    mapGJ.put("1", LEFT_TURN);
    //直行
    mapGJ.put("2", STRAIGHT_LINE);
    //右转
    mapGJ.put("3", RIGHT_TURN);
    //掉头
    mapGJ.put("4", TURN_AROUND);

    //左转
    mapTurn.put("1", LEFT_TURN);
    //直行
    mapTurn.put("2", STRAIGHT_LINE);
    //右转
    mapTurn.put("3", RIGHT_TURN);
    //掉头
    mapTurn.put("4", TURN_AROUND);

    mapGJEn.put(LEFT_TURN, "turn left");
    mapGJEn.put(STRAIGHT_LINE, "straight ahead");
    mapGJEn.put(RIGHT_TURN, "turn right");
    mapGJEn.put(TURN_AROUND, "turn around");

    //rid行车方向
    //南向北
    mapRidDir.put("1", "南向北");
    //西向东
    mapRidDir.put("2", "西向东");
    //北向南
    mapRidDir.put("3", "北向南");
    //东向西
    mapRidDir.put("4", "东向西");

    //地理方向代码
    mapDirRid.put(S, "1");
    mapDirRid.put(W, "2");
    mapDirRid.put(N, "3");
    mapDirRid.put(E, "4");

    //事故汉转英
    mapAccident.put(SUSPECTED_COLLISION, EN_SUSPECTED_COLLISION);
    mapAccident.put(REAR_END_COLLISION, EN_REAR_END_COLLISION);
    mapAccident.put(SIDE_IMPACT, EN_SIDE_IMPACT);
    mapAccident.put(SCRATCH, EN_SCRATCH);
    mapAccident.put(POSITION, EN_POSITION);
    mapAccident.put(RESPONSIBILITY_A, EN_RESPONSIBILITY_A);
    mapAccident.put(RESPONSIBILITY_B, EN_RESPONSIBILITY_B);
    mapAccident.put(CAUSE_OF_TROUBLE_A, EN_CAUSE_OF_TROUBLE_A);
    mapAccident.put(CAUSE_OF_TROUBLE_B, EN_CAUSE_OF_TROUBLE_B);
    mapAccident.put(CAUSE_OF_TROUBLE_C, EN_CAUSE_OF_TROUBLE_C);
  }
}
