package com.wanji.indicators.constant;

public enum EventState {
  GREEN(Integer.valueOf(1), "绿"),
  YELLOW(Integer.valueOf(2), "黄"),
  RED(Integer.valueOf(3), "红"),
  DISSIPATE(Integer.valueOf(1), "已消散"),
  NOT_DISSIPATE(Integer.valueOf(0), "未消散");
  
  private Integer code;
  
  private String name;
  
  EventState(Integer code, String name) {
    this.code = code;
    this.name = name;
  }
  
  public Integer getCode() {
    return this.code;
  }
  
  public void setCode(Integer code) {
    this.code = code;
  }
  
  public String getName() {
    return this.name;
  }
  
  public void setName(String name) {
    this.name = name;
  }
}
