package com.wanji.indicators.constant;

import java.util.Objects;

public enum LaneTurnDescEnum {

    //******************************************************//
    NO_CONGEST("1","左"),
    LIGHT_CONGEST("2","直"),
    MODERATE_CONGEST("3","右"),
    HEAVY_CONGEST("4","掉头")
    ;
    //******************************************************//
    private String type;
    private String name;

    LaneTurnDescEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public static String getName(String type){
        for(LaneTurnDescEnum typeEnum: LaneTurnDescEnum.values()){
            if(Objects.equals(typeEnum.type,type)){
                return typeEnum.name;
            }
        }
        return null;
    }

    public static String getType(LaneTurnDescEnum type) {
        for(LaneTurnDescEnum typeEnum: LaneTurnDescEnum.values()) {
            if(Objects.equals(typeEnum,type)){
                return typeEnum.type;
            }
        }
        return null;
    }

}
