package com.wanji.indicators.constant;

import java.util.Objects;

public enum ModuleEnum {

    //******************************************************//
    EFFICIENCY_EVALUATION("1","效率评价"),
    SAFETY_EVALUATION("2","安全评价")
    ;
    //******************************************************//
    private String type;
    private String name;

    ModuleEnum(String type, String name) {
        this.type = type;
        this.name = name;
    }

    public static String getName(String type){
        for(ModuleEnum typeEnum: ModuleEnum.values()){
            if(Objects.equals(typeEnum.type,type)){
                return typeEnum.name;
            }
        }
        return null;
    }

    public static String getType(ModuleEnum type) {
        for(ModuleEnum typeEnum: ModuleEnum.values()) {
            if(Objects.equals(typeEnum,type)){
                return typeEnum.type;
            }
        }
        return null;
    }

}
