package com.wanji.indicators.constant;

import java.util.HashMap;
import java.util.Map;

public enum RoadClassMap {
    GAOSU_GONGLU(41000, "高速公路"),
    GUOD_AO(42000, "国道"),
    SHENG_DAO(51000, "省道"),
    XIAN_DAO(52000, "县道"),
    XIANG_DAO(53000, "乡公路"),
    XIAN_XIANG_DAO(54000, "县乡内道路"),
    CITY_KUAISU_DAO(43000, "主要大街、城市快速道"),
    MAIN_DAO(44000, "主要道路"),
    CIYAO_DAO(45000, "次要道路"),
    PUTONG_DAO(47000, "普通道路"),
    NON_DAOHANG_DAO(49, "小路非导航道路");

    private Integer type;
    private String desc;

    RoadClassMap(Integer type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public Integer getType() {
        return type;
    }

    public String getDesc() {
        return desc;
    }
}
