package com.wanji.indicators.constant.citybrain;

import lombok.AllArgsConstructor;
import lombok.Getter;
import net.wanji.common.utils.tool.StringUtils;

/**
 * @author duanruiming
 * @date 2024/04/03 13:49
 */
@Getter
@AllArgsConstructor
public enum SpilloverStateEnum {
    FINISH("0", "消散"),

    START("1", "触发"),

    CONTINUE("2", "持续");

    private final String code;
    private final String message;

    public static String getMsg(String code) {
        for (SpilloverStateEnum value : SpilloverStateEnum.values()) {
            if (StringUtils.equalsIgnoreCase(value.getCode(), code)) {
                return value.getMessage();
            }
        }
        return SpilloverStateEnum.FINISH.getMessage();
    }
}
