package com.wanji.indicators.event.cross.accident.sink;//package com.mapabc.project.event.cross.service.accident.sink;
//
//import com.alibaba.fastjson.JSONObject;
//import com.mapabc.constant.Constant;
//import com.mapabc.model.cache.AccidentTimingModel;
//import com.mapabc.source.redis.RedisConnect;
//import com.mapabc.util.PropertiesHelper;
//import org.apache.commons.lang3.StringUtils;
//import org.apache.flink.streaming.api.functions.sink.SinkFunction;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//
//public class AccidentDurationRedisSink implements SinkFunction<AccidentTimingModel> {
//
//    private static final Logger log = LoggerFactory.getLogger(AccidentDurationRedisSink.class);
//
//    private PropertiesHelper instance;
//
//    public AccidentDurationRedisSink(PropertiesHelper instance) {
//        this.instance = instance;
//    }
//
//    @Override
//    public void invoke(AccidentTimingModel model, Context context) {
//        try {
//            boolean bool = true;
//            String scan = RedisConnect.scan(instance.getProperties(), model.getId());
//            if (StringUtils.isNotBlank(scan)) {
//                AccidentTimingModel accident = JSONObject.toJavaObject(JSONObject.parseObject(scan), AccidentTimingModel.class);
//                long durationTime = accident.getDurationTime();
//                long x = Math.abs(model.getDurationTime() - durationTime);
//                //如果当前持续时间  小于 过去持续时间  则不更新数据
//                if (model.getDurationTime() < durationTime || x > 5000L) {
//                    bool = false;
//                }
//            }
//            if (bool) {
//                int ttl = 60 * 60;
//                //读取环境变量中的redis过期时间配置
//                String REDIS_ACCIDENT_TTL = System.getenv(Constant.REDIS_ACCIDENT_TTL);
//                if (StringUtils.isNotBlank(REDIS_ACCIDENT_TTL)) {
//                    ttl = ttl * Integer.valueOf(REDIS_ACCIDENT_TTL);
//                } else {
//                    ttl = ttl * 24;
//                }
//                RedisConnect.setex(instance.getProperties(), model.getId(), ttl, JSONObject.toJSONString(model));
//            }
//        } catch (NumberFormatException e) {
//            log.error("RedisSink异常 : " + e.getMessage()  );
//        }
//    }
//
//}
