package com.wanji.indicators.event.cross.accident.sink;//package com.mapabc.project.event.cross.service.accident.sink;
//
//import com.alibaba.fastjson.JSONObject;
//import com.mapabc.cache.AccidentThresholdLearningCache;
//import com.mapabc.model.cache.StopTimeModel;
//import com.mapabc.source.redis.RedisConnect;
//import com.mapabc.util.PropertiesHelper;
//import org.apache.commons.lang3.StringUtils;
//import org.apache.commons.lang3.time.DateFormatUtils;
//import org.apache.flink.streaming.api.functions.sink.SinkFunction;
//import org.slf4j.Logger;
//import org.slf4j.LoggerFactory;
//
//import java.util.TimeZone;
//
//public class AccidentLearningSink implements SinkFunction<StopTimeModel> {
//
//    private static final Logger log = LoggerFactory.getLogger(AccidentLearningSink.class);
//
//    private PropertiesHelper instance;
//
//    public AccidentLearningSink(PropertiesHelper instance) {
//        this.instance = instance;
//    }
//
//    @Override
//    public void invoke(StopTimeModel model, Context context) {
//        String crossId = model.getCrossId();
//        String laneFunction = model.getLaneFunction();
//        String rid = model.getRid();
//        int area = model.getArea();
//        String key = crossId + rid + laneFunction + area;
//        AccidentThresholdLearningCache cache = AccidentThresholdLearningCache.getInstance();
//        long max = 0L;
//        for (StopTimeModel value : cache.getCache().values()) {
//            long dura = value.getDuration();
//            int area1 = value.getArea();
//            if (area1 != 0) {
//                if (dura > max) {
//                    max = dura;
//                }
//            }
//        }
//        if (area == 0 && max > model.getDuration()) {
//            model.setDuration(max + 30000L);
//        }
//        if (area != 2) {
//            String redisKey = "cross_stop_time:";
//            int ttl = 3600 * 24;
//            int t = 3600 * 2;
//            String id = TimeZone.getDefault().getID();
//            long time = model.getTime();
//            if (StringUtils.isNotBlank(id)) {
//                if (id.contains("Etc/UTC")) {
//                    time += (8L * 3600L * 1000L);
//                }
//            }
//            String date = DateFormatUtils.format(time, "MMddHH");
//            String dateAgo = DateFormatUtils.format(time - (ttl * 1000L), "MMddHH");
//            RedisConnect.setex(instance.getProperties(), redisKey + key + "-" + date, ttl + t, JSONObject.toJSONString(model));
//            String scan = RedisConnect.scan(instance.getProperties(), redisKey + key + "-" + dateAgo);
//            if (StringUtils.isNotBlank(scan)) {
//                StopTimeModel modelAgo = JSONObject.parseObject(scan, StopTimeModel.class);
//                long durationAgo = modelAgo.getDuration();
//                long durationNow = model.getDuration();
//                long x = Math.abs(durationAgo - durationNow);
//                if (durationAgo < 20000L && x > 8000L) {
////                    log.info("停车特征学习过程 -> 与昨日数据迭代:  durationAgo = " + durationAgo + " durationNow = " + durationNow + " x = " + x);
//                    long du = (durationAgo + durationNow) / 2;
//                    model.setDuration(du);
//                }
//            }
//        }
//        if (checkDu(model.getDuration())) {
//            cache.put(key, model);
//        }
////        log.info("停车特征学习结果: " + crossId + " " + rid + " " + laneFunction + " " + area + " " + model.getDuration());
//    }
//
//    private boolean checkDu(long du) {
////        log.info("停车特征学习Du: = " + du);
//        if (du < 14000L && du > 8000L) {
//            return true;
//        }
//        return false;
//    }
//}
