package com.wanji.indicators.event.cross.conflictpoint.ttc;//package com.wanji.indicators.task.conflictpoint.ttc;
//
//import com.alibaba.fastjson.JSONObject;
//import com.mapabc.constant.Constant;
//import com.mapabc.model.event.EventCross;
//import com.mapabc.project.event.cross.service.minbounding.MinBoundingPolygon;
//import com.mapabc.project.event.cross.service.minbounding.Point;
//import com.mapabc.util.PropertiesHelper;
//import com.mapabc.util.PtInPolyUtil;
//import org.apache.flink.api.common.functions.FlatMapFunction;
//import org.apache.flink.api.java.tuple.Tuple;
//import org.apache.flink.streaming.api.datastream.DataStream;
//import org.apache.flink.streaming.api.datastream.SingleOutputStreamOperator;
//import org.apache.flink.streaming.api.environment.StreamExecutionEnvironment;
//import org.apache.flink.streaming.api.functions.windowing.ProcessWindowFunction;
//import org.apache.flink.streaming.api.windowing.assigners.TumblingProcessingTimeWindows;
//import org.apache.flink.streaming.api.windowing.time.Time;
//import org.apache.flink.streaming.api.windowing.windows.GlobalWindow;
//import org.apache.flink.streaming.api.windowing.windows.TimeWindow;
//import org.apache.flink.util.Collector;
//
//import java.util.*;
//
//public class TTCMain {
//
//    private StreamExecutionEnvironment env;
//    private PropertiesHelper instance;
//    private Properties p;
//
//    private TTCMain(StreamExecutionEnvironment env) {
//        this.env = env;
//        this.instance = PropertiesHelper.getInstance();
//        this.p = instance.getProperties();
//    }
//
//    public static TTCMain init(StreamExecutionEnvironment env) {
//        return new TTCMain(env);
//    }
//
//    public void run(DataStream<String> streamSource) {
//        SingleOutputStreamOperator<EventCross> eventCrossStream = streamSource.flatMap(new FlatMapFunction<String, EventCross>() {
//            @Override
//            public void flatMap(String s, Collector<EventCross> collector) {
//                EventCross eventCross = JSONObject.parseObject(s, EventCross.class);
//                if (Constant.VEHICLE == eventCross.getObjectType() &&
//                    eventCross.getCrossing() == Constant.CROSSING) {
//                    collector.collect(eventCross);
//                }
//            }
//        });
//
//        SingleOutputStreamOperator<TTCTrackModel> process = eventCrossStream.keyBy("crossId", "trackId")
//                .countWindow(5L)
//                .process(new ProcessWindowFunction<EventCross, TTCTrackModel, Tuple, GlobalWindow>() {
//                    @Override
//                    public void process(Tuple t, Context ctx, Iterable<EventCross> iterable, Collector<TTCTrackModel> out) {
//                        Iterator<EventCross> iterator = iterable.iterator();
//                        long max = Long.MIN_VALUE;
//                        long min = Long.MAX_VALUE;
//                        EventCross maxEvent = new EventCross();
//                        EventCross minEvent = new EventCross();
//                        while (iterator.hasNext()) {
//                            EventCross next = iterator.next();
//                            long time = next.getTime();
//                            if (time > max) {
//                                max = time;
//                                setData(next, maxEvent);
//                            }
//                            if (time < min) {
//                                min = time;
//                                setData(next, minEvent);
//                            }
//                        }
//                        double distance = PtInPolyUtil.getDistance(maxEvent.getLng(), maxEvent.getLat(), minEvent.getLng(), minEvent.getLat());
//                        if (distance > 0.0) {
//                            double mark = 4.5;
//                            double x = -(maxEvent.getLng() - minEvent.getLng()) * mark;
//                            double y = -(maxEvent.getLat() - minEvent.getLat()) * mark;
//                            double lng = maxEvent.getLng() + x;
//                            double lat = maxEvent.getLat() + y;
//                            double angle = PtInPolyUtil.getAngle(maxEvent.getLng(), maxEvent.getLat(), lng, lat);
//                            EventCross endEvent = new EventCross();
//                            setData(maxEvent, endEvent);
//                            endEvent.setLng(lng);
//                            endEvent.setLat(lat);
//                            endEvent.setDriveAngle(angle);
////                            double d = PtInPolyUtil.getDistance(minEvent.getLng(), minEvent.getLat(), lng, lat);
//                            TTCTrackModel model = new TTCTrackModel();
//                            model.setCrossId(maxEvent.getCrossId());
//                            model.setTrackId(maxEvent.getTrackId());
//                            model.setAngle(angle);
//                            model.setPlateNumber(maxEvent.getPlateNumber());
//                            model.setA(minEvent);
//                            model.setB(endEvent);
//                            model.setTime(maxEvent.getTime());
//                            out.collect(model);
//                        }
//                    }
//
//                    private void setData(EventCross setData, EventCross data) {
//                        data.setLampState(setData.getLampState());
//                        data.setCrossId(setData.getCrossId());
//                        data.setTrackId(setData.getTrackId());
//                        data.setLng(setData.getLng());
//                        data.setLat(setData.getLat());
//                        data.setMatchLane(setData.getMatchLane());
//                        data.setEntryLane(setData.getEntryLane());
//                        data.setRid(setData.getRid());
//                        data.setSpeed(setData.getSpeed());
//                        data.setDriveAngle(setData.getDriveAngle());
//                        data.setPlateNumber(setData.getPlateNumber());
//                        data.setVehicleType(setData.getVehicleType());
//                        data.setTime(setData.getTime());
//                        data.setStartTime(setData.getStartTime());
//                        data.setEndTime(setData.getEndTime());
//                        data.setMark(setData.getMark());
//                        data.setList(setData.getList());
//                        data.setCrossing(setData.getCrossing());
//                        data.setStopLineDist(setData.getStopLineDist());
//                        data.setAreaDist(setData.getAreaDist());
//                        data.setDuration(setData.getDuration());
//                        data.setLaneFunction(setData.getLaneFunction());
//                        data.setDistance(setData.getDistance());
//                        data.setAt(setData.getAt());
//                        data.setRatio(setData.getRatio());
//                        data.setMaxSpeed(setData.getMaxSpeed());
//                        data.setTypeCode(setData.getTypeCode());
//                        data.setObjectType(setData.getObjectType());
//                        data.setMatchLaneName(setData.getMatchLaneName());
//                        data.setVehicleColor(setData.getVehicleColor());
//                        data.setVehicleBrand(setData.getVehicleBrand());
//                    }
//                });
//
//
//        process.keyBy("crossId")
//               .window(TumblingProcessingTimeWindows.of(Time.milliseconds(450)))
//               .process(new ProcessWindowFunction<TTCTrackModel, TTCTrackModel, Tuple, TimeWindow>() {
//                   @Override
//                   public void process(Tuple t, Context ctx, Iterable<TTCTrackModel> iterable, Collector<TTCTrackModel> out) throws Exception {
//                       Iterator<TTCTrackModel> iterator = iterable.iterator();
//                       List<TTCTrackModel> list = new ArrayList<>();
//                       Set<Integer> set = new HashSet<>();
//                       while (iterator.hasNext()) {
//                           TTCTrackModel next = iterator.next();
//                           if(set.add(next.getTrackId())){
//                               list.add(next);
//                           }
//                       }
//                       for(TTCTrackModel a : list){
//                           for(TTCTrackModel b : list){
//                               if(a.getTrackId() == b.getTrackId()){
//                                   continue;
//                               }
//                               Point p1 = new Point(a.getA().getLng(), a.getA().getLat());
//                               Point p2 = new Point(a.getB().getLng(),a.getB().getLat());
//                               Point p3 = new Point(b.getA().getLng(), b.getA().getLat());
//                               Point p4 = new Point(b.getB().getLng(),b.getB().getLat());
//                               boolean intersect = MinBoundingPolygon.intersect(p1, p2, p3, p4);
//                               double angleX = Math.abs(a.getAngle() - b.getAngle());
//                               if(angleX > 180.0){
//                                   angleX = angleX - 180;
//                               }
//                               if(intersect && angleX > 25.0) {
//                                   //log.info(a.getPlateNumber() + "  TTC  " + b.getPlateNumber() + "  相交角度  " + angleX);
//                               }
//                           }
//                       }
//                   }
//               });
//
//    }
//
//
//
//}
