package com.wanji.indicators.event.cross.congestion.funcnew;

import com.alibaba.fastjson.JSONObject;
import com.wanji.indicators.model.event.congestion.CongestionOverflowModel;
import org.apache.flink.api.common.functions.FlatMapFunction;
import org.apache.flink.util.Collector;

public class CongestionToStringFlatMap implements FlatMapFunction<CongestionOverflowModel, String> {
    @Override
    public void flatMap(CongestionOverflowModel model, Collector<String> collector) throws Exception {
        String s = JSONObject.toJSONString(model);
        collector.collect(s);
    }
}
