package com.wanji.indicators.model.event.accident;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * 2021/11/19 19:12
 *
 * @auther ke.han
 */
@Data
public class AccidentStraightLeftThroughtModel implements Serializable {

    private String key;
    //本次相位绿灯开始时间
    private long startTime;
    private long time;
    //冲突头车车辆到停车车辆最小距离间的持续时间
    private long duration;

    private double distance;
    //当前相位绿灯停车次数
    private int greenStopCount;
    //当前相位绿灯停车时长
    private long greenStopDuration;
    //是否到达出口
    private boolean isToExitLane;
    //车头时距
    private List<Double> timeHeadwayList;
    //是否为下个相位
    private  boolean isNextPhase;
    //绿灯是否结束
    private boolean isOverGreen;
    //下个相位停车时长
    private long nextPhaseStopDuration;
    //下个相位停车次数
    private long nextPhaseStopCount;

}
