package com.wanji.indicators.model.event.deadlock;

import lombok.Data;

import java.io.Serializable;

@Data
public class CrossDeadLockStatusModel implements Serializable {

    private String crossId;
    private String rid;
    private long time;
    /**
     * 事件开始事件
     */
    private long startTime;
    /**
     * 事件结束事件
     */
    private long endTime;
    /**
     * 持续事件
     */
    private long duration;
    /**
     * 坐标
     */
    private double [] location;
    /**
     * 唯一id
     */
    private String id;
    /**
     * 三色预警状态
     */
    private int eventState;
    /**
     * 影响的rid，多个以逗号分割
     */
    private String effectRids="";

}
