package com.wanji.indicators.service;

import com.wanji.indicators.entity.CongestionArea;
import com.baomidou.mybatisplus.extension.service.IService;
import com.baomidou.mybatisplus.core.metadata.IPage;

import java.util.List;

/**
* <p>
*  服务类
* </p>
*
* @author fengyi
* @since 2023-10-25
*/
public interface CongestionAreaService extends IService<CongestionArea> {

    /**
    * 详情
    * @param id
    * @return
    */
    CongestionArea info(Long id);

    /**
    * 新增
    * @param param 根据需要进行传值
    * @return
    */
    void add(CongestionArea param);

    /**
    * 修改
    * @param param 根据需要进行传值
    * @return
    */
    void modify(CongestionArea param);

    /**
    * 删除(单个条目)
    * @param id
    * @return
    */
    void remove(Long id);

    /**
    * 删除(多个条目)
    * @param ids
    * @return
    */
    void removes(List<Long> ids);
}
