package com.wanji.indicators.task.area.service.model;

import com.wanji.indicators.constant.Constant;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author fengyi
 * @date 2023/4/6
 * @description
 */
@Data
@ToString
public class ParticipantAnalysisOutputModel implements Serializable {


    private Integer originalType=0;

    private String startTime;
    private String endTime;
    private Long startTimestamp;
    private Long endTimestamp;
    private Long timestamp;
    private Integer category;//类别：1机动车 2非机动车 3行人
    private Double speed=0D;//平均速度
    private Long number;//参与者目标数量
    private Double trafficIndex;//交通指数
    private String crossId;
    private String rid;
}
