package com.wanji.indicators.task.area.service.model;

import com.wanji.indicators.constant.Constant;
import lombok.Data;
import lombok.ToString;

import java.io.Serializable;

/**
 * @author fengyi
 * @date 2023/4/6
 * @description
 */
@Data
@ToString
public class TravelTimeResultModel implements Serializable {
    private String id = Constant.HASH_KEY_TRAVEL_DATA;

    private String globalCode;
    private String globalId;
    private String plateNo;
    private Integer originalType=0;

    private String startTime;
    private Long startTimestamp;
    private Long endTimestamp;
    private String endTime;
    private Double lng;//经度
    private Double lat;//纬度
    private Double travelTime;//旅行时间
    private Double travelSpeed=0D;//旅行速度
    private Double distance;//行驶距离
    private Long timestamp;

    private String crossId;
    private String rid;

    private Double freeSpeed;
}
