package com.wanji.indicators.task.citybrain.vo;

import lombok.Data;

/**
 * @author duanruiming
 * @date 2024/03/27 15:50
 */
@Data
public class LaneTurnRatioDataVO {
    // 数据时间,毫秒级时间戳
    private String data_time;
    // 设备编号
    private String deviceNo;
    // 统计周期（s）
    private int cycle;
    // 断面编号，南向北 1，东向西 2，北向南 3，西向东 4
    private String sectionNo;
    // 总计流量（辆）
    private int volumeSum;
    // 平均车速（km/h）
    private String speedAvg;
    // 左转流量（辆）
    private int volumeLeft;
    // 左转车速（km/h）
    private String speedLeft;
    // 转向流量（辆）
    private int volumeStraight;
    // 转向车速（km/h）
    private String speedStraight;
    // 右转流量（辆）
    private int volumeRight;
    // 右转车速（km/h）
    private String speedRight;

}
