package com.wanji.indicators.task.citybrainreceive.devicestatus;

import lombok.Data;

import java.util.List;

@Data
public class DeviceStatusReceiveModel {
    private Header headers;
    private List<Body> body;

    // Header内部类
    @Data
    public static class Header {
        private String name;
        private String from;
        private String taskId;
    }

    // Body内部类
    @Data
    public static class Body {
        private Long data_time;
        private String deviceNo;
    }
}
