package com.wanji.indicators.task.citybrainreceive.passcarinfo;

import com.alibaba.fastjson.JSON;
import com.wanji.indicators.util.CityBrainReceiveUtil;
import org.apache.flink.api.common.functions.MapFunction;

public class PasscarInfoReceiveMap implements MapFunction<String, PasscarInfoReceiveModel> {

    @Override
    public PasscarInfoReceiveModel map(String value) throws Exception {
        String processedValue = CityBrainReceiveUtil.processJson(value);
        return JSON.parseObject(processedValue, PasscarInfoReceiveModel.class);
    }
}
