package com.wanji.indicators.task.citybrainreceive.targetinfo;

import com.wanji.indicators.util.CityBrainReceiveUtil;
import org.apache.flink.api.common.functions.MapFunction;
import org.apache.flink.shaded.jackson2.com.fasterxml.jackson.databind.ObjectMapper;

public class TargetInfoReceiveMap implements MapFunction<String, TargetInfoReceiveModel> {
    private static final ObjectMapper objectMapper = new ObjectMapper();

    @Override
    public TargetInfoReceiveModel map(String value) throws Exception {
        String processedValue = CityBrainReceiveUtil.processJson(value);
        return objectMapper.readValue(processedValue, TargetInfoReceiveModel.class);
    }
}
