package com.wanji.indicators.task.laneIndicators.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.util.List;

@Data
public class LaneResultLineModel implements Serializable {

    private String crossId;

    //周期开始时间
    private String startTime;
    //周期截止时间
    private String endTime;

    private Long timestamp;

    private String granularity;

    private String inRid;
    private Integer inRidDir;
    private String laneId;
    private String laneNo;

    private int turnDirNo;
    private int flow;
    private double speed;

}
