package com.wanji.indicators.task.maincontrol.entity;

import lombok.Data;

import java.util.Date;
import java.util.List;

/**
 * @ClassName E1Frame
 * @Description
 * @Date 2021/3/8 9:42
 * @Version 1.0
 */
@Data
public class E1FrameExtend  extends E1Frame {

    Long globalFrameNo;//全域数据帧号
    Date globalTimeStamp;//全域上报时间
    short stationNum; //基站数量
    List<E1FrameSourceInfo> sourceInfoList; //单基站信息集合

    public E1FrameExtend(){};

    public E1FrameExtend(E1Frame e1Frame){
        this.setAlgorithmDuration(e1Frame.getAlgorithmDuration());
        this.setAngle(e1Frame.getAngle());
        this.setDeviceId(e1Frame.getDeviceId());
        this.setE1FrameParticipant(e1Frame.getE1FrameParticipant());
        this.setFrameNo(e1Frame.getFrameNo());
        this.setLatitude(e1Frame.getLatitude());
        this.setLongitude(e1Frame.getLongitude());
        this.setParticipantNum(e1Frame.getParticipantNum());
        this.setTimeStamp(e1Frame.getTimeStamp());
    }

}
