package com.wanji.indicators.task.maincontrol.entity;


import lombok.Data;
import java.util.Date;
import java.util.List;

/**
 * @ClassName E1FrameParticipant
 * @Description
 * @Date 2021/3/8 9:44
 * @Version 1.0
 */
@Data
public class E1FrameSourceInfo {

    private int state; //0正常 1预测 2离线
    private int baseStationSource;//基站来源1~255，高速公路按照行驶方向递增；路口按照与正北顺时针夹角最小的基站号为1，顺时针依次增加
    private Long sourceframeNo;//单基站点云数据帧号
    private Date sourcetimeStamp;//单基站识别结果时间戳

    private Date sourceresulttimeStamp ;//融合结果上报时间戳：yyyy-MM-dd HH:mm:ss:SSS
    private int pcloudalgorithmconsume;//点云算法耗时:ms,无则填0
    private int videoalgorithmconsume;//视频算法耗时：ms,无则填0
    private int fusionalgorithmconsume;//融合算法耗时：ms,无则填0
    private int totalalgorithmconsume;//感知结果时延：点云组帧完成到融合结果输出

    private Date sourceRecievetimeStamp;//全域软件接收单基站融合感知结果时间戳： yyyy-MM-dd HH:mm:ss:SSS
    private double sourcelongitude;//单基站激光器原点经度
    private double sourcelatitude;//单基站激光器原点纬度
    private short sourceangle;//单基站激光器角度

    private short cameraNum;//基站相机数量
    private List<CameraInfo> cameraList;//基站相机信息集合
    private int lidarNum;//雷达数量
    private List<LidarInfo> lidarList;//基站雷达信息集合
}