package com.wanji.indicators.task.motor;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;
import java.util.HashMap;
import java.util.Map;

@Data
@EqualsAndHashCode(callSuper = false)
@ToString
public class MotorEfficiencyResultModel implements Serializable {

    private String crossId;

    private String orgCode;

    private Integer trackId;

    private String picLicense;
    //周期开始时间
    private String startTime;
    //周期截止时间
    private String endTime;
    //发生开始时间
    private String happenStartTime;
    //发生截止时间
    private String happenEndTime;

    private Long timestamp;
    //是否为减速车辆
    private boolean isSlowSpeedCar;
    //减速度持续时间，单位秒
    private long slowSpeedDuration;
    //是否为轨迹不通畅车辆
    private boolean isUnSmoothCar;
    //周期内通畅运行次数
    private Integer unSmoothCount;

}
