package com.wanji.indicators.task.pedestrian.service.model;

import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.io.Serializable;

@Data
//@EqualsAndHashCode(callSuper = false)
@ToString
public class PedCrossingWalkModel  {

    private Integer objectId;
    private String crossId;
    private String rid;
    private Integer dir;
    //通过斑马线时间，单位秒
    private double passTime;
    //第一次进入时间
    private long arriveTime;
    private String arriveTimeStr;
    //离开时间
    private long leaveTime;
    private String leaveTimeStr;
    //是否离开斑马线区域标记
    private boolean isLeave;
    //当前时间
    private long lastTime;
    private String lastTimeStr;
    //实时速度
    private double speed;
    //初始进入时速度
    private Double arriveSpeed;
    //是否持续驾驶通过
    private boolean isAcceleratedPass;
    //加速通过持续时长
    private long acceleratedPassDuration;
    //加速通过开始时间
    private long acceleratedPassStartTime;
    //加速开始速度
    private double accelerateStartSpeed;
    //经度
    private double lng;
    //纬度
    private double lat;
    //行人等待标记
    private boolean isWaiting;
    //等待时长 单位毫秒
    private long waitingTime;
    //等待区ID
    private String waitAreaId;

}
