package com.wanji.indicators.task.track.service.key;

import com.wanji.indicators.model.CarTrackModel;
import org.apache.flink.api.java.functions.KeySelector;
import org.apache.flink.api.java.tuple.Tuple3;

public class KeySelectorGlobalIdPlateNo implements KeySelector<CarTrackModel, Tuple3<String, Integer, String>> {
    //以车牌号和颜色组合为唯一标识key
    @Override
    public Tuple3<String, Integer, String> getKey(CarTrackModel carTrackModel) throws Exception {
        return new Tuple3<>(carTrackModel.getOrgCode(),carTrackModel.getId(),carTrackModel.getPicLicense());
    }
}
