package com.wanji.indicators.task.track.service.key;

import com.wanji.indicators.model.CarTrackModel;
import com.wanji.indicators.model.RoutePathCarTrackModel;
import org.apache.flink.api.java.functions.KeySelector;
import org.apache.flink.api.java.tuple.Tuple2;
import org.apache.flink.api.java.tuple.Tuple3;

import java.util.Map;

public class KeySelectorRoutePath implements KeySelector<RoutePathCarTrackModel, Tuple2<String, Integer>> {
    //以车牌号和颜色组合为唯一标识key
    @Override
    public Tuple2<String, Integer> getKey(RoutePathCarTrackModel carTrackModel) throws Exception {
        return new Tuple2<>(carTrackModel.getPicLicense(),carTrackModel.getLineNo());
    }
}
