package com.wanji.indicators.thread;

import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class FixedThreadPool {
  private static ExecutorService newFixedThreadPool = null;
  
  public static ExecutorService getInstance() {
    if (newFixedThreadPool == null)
      synchronized (FixedThreadPool.class) {
        if (newFixedThreadPool == null)
          newFixedThreadPool = Executors.newFixedThreadPool(5); 
      }  
    return newFixedThreadPool;
  }
}
