package com.wanji.indicators.util;

import java.text.DecimalFormat;

public class DoubleUtil {
  private static DecimalFormat FMT5 = new DecimalFormat("#0.00000");
  
  private static DecimalFormat FMT2 = new DecimalFormat("#0.00");
  
  private static DecimalFormat FMT1 = new DecimalFormat("#0.0");
  
  @Deprecated
  public static DecimalFormat fmt1() {
    return FMT1;
  }
  
  @Deprecated
  public static DecimalFormat fmt2() {
    return FMT2;
  }
  
  @Deprecated
  public static DecimalFormat fmt5() {
    return FMT5;
  }
  
  public static double fmt1(double x) {
    return Double.parseDouble(FMT1.format(x));
  }
  
  public static double fmt2(double x) {
    return Double.parseDouble(FMT2.format(x).trim());
  }
  
  public static double fmt5(double x) {
    return Double.parseDouble(FMT5.format(x));
  }
}
